## org.opencyc.elf.bg
Class Executor

    java.lang.Object
      |
      +--org.opencyc.elf.ELFObject
            |
            +--org.opencyc.elf.NodeComponent
                  |
                  +--org.opencyc.elf.bg.Executor

public class Executor
extends NodeComponent

Provides the Executor for ELF BehaviorGeneration.

Author:
  Stephen L. Reed

  Copyright 2001 Cycorp, Inc., license is open source GNU LGPL.

  the license

  www.opencyc.org

  OpenCyc at SourceForge

  THIS SOFTWARE AND KNOWLEDGE BASE CONTENT ARE PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OPENCYC ORGANIZATION OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE AND KNOWLEDGE BASE CONTENT, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Field Summary
`protected BehaviorGeneration` `behaviorGeneration` the behavior generation instance which owns this executor
`protected Planner` `planner` the planner whose plans this executor executes
`protected org.opencyc.uml.core.Procedure` `procedureToExecute` the procedure to execute

Fields inherited from class org.opencyc.elf.NodeComponent
`DEFAULT_VERBOSITY, interruptionRequest, node, pendingInterruption, verbosity`

Fields inherited from class org.opencyc.elf.ELFObject
`name`

Constructor Summary
`Executor()` Constructs a new Executor object.

Method Summary
`BehaviorGeneration` `getBehaviorGeneration()` Gets the behavior generation instance
`Planner` `getPlanner()` Gets the planner whose plans this executor executes
`org.opencyc.uml.core.Procedure` `getProcedureToExecute()` Gets the procedure to execute
`void` `setBehaviorGeneration(BehaviorGeneration behaviorGeneration)` Sets the behavior generation instance
`void` `setPlanner(Planner planner)` Sets the planner whose plans this executor executes
`void` `setProcedureToExecute(org.opencyc.uml.core.Procedure procedureToExecute)` Sets the procedure to execute

Methods inherited from class org.opencyc.elf.NodeComponent
`getNode, interrupt, setNode, setVerbosity`

Methods inherited from class org.opencyc.elf.ELFObject
`getName, setName, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### procedureToExecute

    protected org.opencyc.uml.core.Procedure procedureToExecute

  the procedure to execute

### behaviorGeneration

    protected BehaviorGeneration behaviorGeneration

  the behavior generation instance which owns this executor

### planner

    protected Planner planner

  the planner whose plans this executor executes

Constructor Detail

### Executor

    public Executor()

  Constructs a new Executor object.

Method Detail

### getProcedureToExecute

    public org.opencyc.uml.core.Procedure getProcedureToExecute()

  Gets the procedure to execute
  Returns:
    the procedure to execute

### setProcedureToExecute

    public void setProcedureToExecute(org.opencyc.uml.core.Procedure procedureToExecute)

  Sets the procedure to execute
  Parameters:
    `procedure` - the procedure to execute

### getBehaviorGeneration

    public BehaviorGeneration getBehaviorGeneration()

  Gets the behavior generation instance
  Returns:
    the behavior generation instance

### setBehaviorGeneration

    public void setBehaviorGeneration(BehaviorGeneration behaviorGeneration)

  Sets the behavior generation instance
  Parameters:
    `behaviorGeneration` - the behavior generation instance

### getPlanner

    public Planner getPlanner()

  Gets the planner whose plans this executor executes
  Returns:
    the planner whose plans this executor executes

### setPlanner

    public void setPlanner(Planner planner)

  Sets the planner whose plans this executor executes
  Parameters:
    `planner` - the planner whose plans this executor executes